<?php
	//引入语言包
	$a_langpackage=new albumlp;

	//变量取得
	$album_id=short_check(get_argg('album_id'));
	$url_uid=short_check(get_argg('user_id'));
	$ses_uid=get_sess_userid();

	//引入模块公共权限过程文件
	$is_self_mode='partLimit';
	$is_login_mode='';
	require("foundation/auser_validate.php");
	require("foundation/module_users.php");
	require("foundation/module_mypals.php");
	require("foundation/fpages_bar.php");
	require("foundation/module_album.php");

	//数据表定义区
	$t_album = $tablePreStr."album";
	$t_photo = $tablePreStr."photo";
	$t_users = $tablePreStr."users";
	$t_holerpals = $tablePreStr."pals_mine";

	$dbo=new dbex;
	//读写分离定义方法
	dbtarget('r',$dbServs);
	
	$holder_name=get_hodler_name($dbo,$t_users,$url_uid);
	$holder_pals=getHodlerpals($dbo,$t_holerpals,$url_uid);
	$p=strstr($holder_pals,",".$ses_uid.",");

	//缓存区
	require($webRoot.$baseLibsPath."model/album_list.model.cache.php");
	
	if($is_self=='Y'){
		$a_who=$a_langpackage->a_mine;
		$guide_txt=$a_langpackage->a_no_alb.",<a href='?app=album_creat'>".$a_langpackage->a_crt_alb."</a>,<a href='?app=album_friend'>".$a_langpackage->a_fri_alb."</a>";  
		$button="";
	}else{
		$a_who=str_replace('{holder}',filt_word($holder_name),$a_langpackage->a_holder)."</div>";
		$guide_txt=$a_langpackage->a_no_fri;
		$button="content_none";
	}
	
	$isNull=0;//不为空则设置为零
	$a_main="";
	$guide="content_none";
	if(empty($album_rs)){
		$isNull=1;//判断结果集是否为空
		$a_main="content_none";
		$guide="";		 	
	}
?>